﻿/*
// BUTTONS
// -------------------------------------------------- */
a:focus {
    outline: none;
}

.btn, .btn-disabled, .btn-disabled:hover, .btn-disabled:active {
    display: inline-block;
    margin: 0; padding: 5px 20px;
    border: 1px solid #c4c4c4;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    background-color: #CCCCC8;
    background-image: linear-gradient(center top, #E5E5E1 30%, #CCCCC8 100%);
    background-image: -o-linear-gradient(center top, #E5E5E1 30%, #CCCCC8 100%);
    background-image: -moz-linear-gradient(center top, #E5E5E1 30%, #CCCCC8 100%);
    background-image: -webkit-linear-gradient(center top, #E5E5E1 30%, #CCCCC8 100%);
    background-image: -ms-linear-gradient(center top, #E5E5E1 30%, #CCCCC8 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #E5E5E1), color-stop(1, #CCCCC8));
    font-size: 13px; line-height: 19px; color: #484848; text-decoration: none; text-align: center; vertical-align: middle;
    text-shadow: 0 1px 0 #ebebeb;
}
.btn:hover {
    background-color: #E5E5E1;
    background-image: linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -o-linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -moz-linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -webkit-linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -ms-linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #E5E5E1), color-stop(1, #E5E5E1));
    color: #484848;
}
.btn:active {
    -webkit-box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(77,77,77,.85) inset;
    -moz-box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(77,77,77,.85) inset;
    box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(77,77,77,.85) inset;
    background-color: #E5E5E1;
    background-image: linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -o-linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -moz-linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -webkit-linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -ms-linear-gradient(center top, #E5E5E1 30%, #E5E5E1 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #E5E5E1), color-stop(1, #E5E5E1));
    color: #484848;
    outline: none;
}

.btn-primary {
    border: 1px solid #0477be;
    background-color: #0676c1;
    background-image: linear-gradient(center top, #059df9 30%, #0787dc 100%);
    background-image: -o-linear-gradient(center top, #059df9 30%, #0787dc 100%);
    background-image: -moz-linear-gradient(center top, #059df9 30%, #0787dc 100%);
    background-image: -webkit-linear-gradient(center top, #059df9 30%, #0787dc 100%);
    background-image: -ms-linear-gradient(center top, #059df9 30%, #0787dc 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #059df9), color-stop(1, #0787dc));
    color: #FFF;
    text-shadow: 0 1px 0 #055d98;
    white-space: normal;
}
.btn-primary:hover {
    background-color: #0477be;
    background-image: linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -o-linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -moz-linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -webkit-linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -ms-linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #059df9), color-stop(1, #059df9));
    color: #FFF;
    white-space: normal;
}
.btn-primary:active {
    -webkit-box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(4,85,138,.75) inset;
    -moz-box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(4,85,138,.75) inset;
    box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(4,85,138,.75) inset;
    background-color: #059df9;
    background-image: linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -o-linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -moz-linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -webkit-linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -ms-linear-gradient(center top, #059df9 30%, #059df9 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #059df9), color-stop(1, #059df9));
    color: #FFF;
    white-space: normal;
}

.btn-buy{
    background-color: #589D2F;
    background-image: linear-gradient(center top, #66B536 30%, #589D2F 100%);
    background-image: -o-linear-gradient(center top, #66B536 30%, #589D2F 100%);
    background-image: -moz-linear-gradient(center top, #66B536 30%, #589D2F 100%);
    background-image: -webkit-linear-gradient(center top, #66B536 30%, #589D2F 100%);
    background-image: -ms-linear-gradient(center top, #66B536 30%, #589D2F 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #66B536), color-stop(1, #589D2F));
    color: #FFF;
    text-shadow: 0 1px 0 #589D2F;
}

.btn-buy:hover{
    background-color: #66B536;
    background-image: linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -o-linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -moz-linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -webkit-linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -ms-linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #66B536), color-stop(1, #66B536));
    color: #FFF;
}

.btn-buy:active{
    -webkit-box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(4,85,138,.75) inset;
    -moz-box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(4,85,138,.75) inset;
    box-shadow: 0 3px 2px -2px rgba(255,255,255,.8),0 0 12px rgba(4,85,138,.75) inset;
    background-color: #66B536;
    background-image: linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -o-linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -moz-linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -webkit-linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -ms-linear-gradient(center top, #66B536 30%, #66B536 100%);
    background-image: -webkit-gradient(linear, center top, center bottom, color-stop(0.3, #66B536), color-stop(1, #66B536));
    color: #FFF;
}

/*
// DROPDOWN
// -------------------------------------------------- */
button.dropdown-toggle:hover,
button.dropdown-toggle:active {
    background: #ffffff;
    box-shadow: none;
}

/*
// SIDEBAR "ACTION" BUTTONS
// -------------------------------------------------- */

.actions .btn,
.actions .btn-disabled {
    display: block;
}

.actions .btn-primary {
    padding: 16px 14px;
}

.actions .btn strong,
.actions .btn-disabled strong {
    display: block;
    font-size: 18px; line-height: 24px;
}

/* vertically stacked buttons */
.stacked {
    margin: 4px 0;
}


/*
// General List
// ------------------------- */
#main #mainContent .menu,
#main #mainContent .resource-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

#main #mainContent .resource-list {
    margin-top: 20px;
}


/*
// Toggle List (menu list/menu buttons)
// ------------------------- */
#main #mainContent .menu {
    *zoom: 1;
    display: inline-block;
    margin-right: 20px;
}
#main #mainContent .menu:before,
#main #mainContent .menu:after {
    display: table;
    content: "";
    line-height: 0;
}
#main #mainContent .menu:after {
    clear: both;
}

    #main #mainContent .menu li,
    #main #mainContent .menu li {
        float: left;
        list-style: none;
    }

        #main #mainContent .menu li a {
            text-decoration: none;
        }
        #main #mainContent .menu li span:hover {
            text-decoration: underline;
        }
        
        #main #mainContent .menu li.active span:hover {
            text-decoration: none;
        }

#main #mainContent .toggle-all {
    margin-top: 12px;
}

    #main #mainContent .toggle-all li {
        margin-left: 10px;
    }

    #main #mainContent .toggle-all li:first-child {
        margin-left: 0;
    }

    #main #mainContent .toggle-all li + li:before {
        margin-right: 5px;
        content: "|  ";
        color: #939292;
    }

        #main #mainContent .toggle-all li span {
            color: #0069AB;
            cursor: pointer;
        }

    #main #mainContent .menu-buttons li {
        display: block;
        color: #0069AB;
        background: #EEEEEE;
        width: 123px;
        height: 40px;
        border: 1px solid #DEDEDE;
    }

    #main #mainContent .menu-buttons li:first-child {
        -webkit-border-top-left-radius: 4px;
        -webkit-border-bottom-left-radius: 4px;
        -moz-border-top-left-radius: 4px;
        -moz-border-bottom-left-radius: 4px;
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;
    }

    #main #mainContent .menu-buttons li:last-child {
        -webkit-border-top-right-radius: 4px;
        -webkit-border-bottom-right-radius: 4px;
        -moz-border-top-right-radius: 4px;
        -moz-border-bottom-right-radius: 4px;
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
    }

    #main #mainContent .menu-buttons li.active {
        background: #0069AB;
        border-color: #0069AB;
    }

        #main #mainContent .menu-buttons li a:link,
        #main #mainContent .menu-buttons li a:visited,
        #main #mainContent .menu-buttons li a:hover,
        #main #mainContent .menu-buttons li a:active,
        #main #mainContent .menu-buttons li span {
            display: block;
            padding: 10px 20px 10px 15px;
            width: 90px;
            height: 20px;
            text-align: center;
        }

        #main #mainContent .menu-buttons li a:hover,
        #main #mainContent .menu-buttons li a:active {
            color: #666666;
        }

        #main #mainContent .menu-buttons li.active a,
        #main #mainContent .menu-buttons li span {
            color: #FEFEFE;
        }

#main #mainContent .view-toggle.menu {
    float: left;
    width: 100%;
    margin-bottom: 20px;
}

/*
// Form buttons
// ------------------------- */
.blueSmallBut, input[type="submit"].blueSmallBut,
.redSmallBut, input[type="submit"].redSmallBut {
    margin: 0 10px 0 35px;
    font-size: 13px;
    border-radius: 4px;
    display: inline-block;
    text-decoration: none; 
    color: #fff;
    background-color: #0069ad;
    border: 1px solid #0069ad;
    cursor: pointer;
    padding: 10px 30px;
}

.graySmallBut + .blueSmallBut,
.graySmallBut + input[type="submit"].blueSmallBut {
    margin-left: 0;
}

input[type="submit"].blueSmallBut {
    width: auto;
}

.blueSmallBut:hover,
input[type="submit"].blueSmallBut:hover {
    background-color: #484848;
    color: #fff;
    text-decoration: none;
}


input[type="file"],
input[type="file"]:hover {
    background: none;
    color: #484848;
    text-decoration: none;
}

.graySmallBut {
    margin: 0 10px 0 0;
    font-size: 13px;
    border-radius: 4px;
    display: inline-block;
    padding: 9px 20px;
    text-decoration: none; 
    color: #484848;
    background-color: #ececec;
    border: 1px solid #dedede; 
    cursor: pointer;
}
.graySmallBut:hover {
     background-color: #484848;
     color: #fff;
     text-decoration: none;
}
.btn-floatRight {
    float: right;
}

.addRoundBut {
    float:right;
    display: block;
    position: relative;
    border-radius: 18px;
    background-color: #fdc44f;
    color: #363636;
    font-size: 13px;
    padding: 3px 13px;
    cursor: pointer;
}

.addRoundBut .roundBut {
    color: #363636;
    text-decoration: none;
} 
.addRoundBut:hover {
    text-decoration: none; 
    color: #fff;
    background-color: #ff7800;
}

.orangeSmallBut, .redSmallBut {
    margin: 0;
    font-size: 13px;
    border-radius: 4px;
    display: inline-block;
    padding: 10px 30px;
    text-decoration: none; 
    color: #363636;
    background-color: #fdc44f;
    cursor: pointer;
}
.orangeSmallBut:hover, .redSmallBut:hover {
    text-decoration: none; 
    color: #fff;
    background-color: #ff7800;
}
.orangeSmallBut:hover, .redSmallBut:hover {
    text-decoration: none; 
    color: #363636;
}

.redSmallBut {
    background-color: #d81118;
    border-color: #ed1c24;
    color: #fff;
}

.redSmallBut:hover, .redSmallBut:active {
    background-color: #484848;
    border-color: #484848;
    color: #fff;
}

.modal-footer .blueSmallBut {
    float: right;
    margin: 0;
}
.modal-footer .graySmallBut {
    float: right;
    margin: 0 10px 0 0;
}
.modal-footer .redSmallBut {
    float: left;
}

